/*
 * launchpad.c
 *
 *  Created on: 26.12.2012
 *      Author: Mika Vyrynen
 */

#include <msp430.h>

#include "launchpad.h"

// Launchpad alustusfunktio alustaa vain ledit, kiteen ja kytkimen jos ne on valittu launchpad.h tiedostosta
void InitGPIO()
{
	#ifdef LEDS
		INIT_LEDS(LED_GREEN,LED_RED);
	#endif

	// Portti 1 alustus
	P1DIR = 0xFF;
	P1OUT = 0;
	// alustetaan mys nm rekisterit
	P1IFG = 0;
	P1IES = 0;
	P1SEL = 0;

	// alustetaan CPU:n kello 1 Mhz
	BCSCTL1 = CALBC1_1MHZ;
	DCOCTL = CALDCO_1MHZ;

	#ifdef XTAL_32KHZ
		 BCSCTL3 = XCAP_3;
	#else
		 P2DIR = 0xFF;
		 P2OUT = 0;
	#endif

	#ifdef SWITCH
		 SWITCH_INIT(S2);
	#endif
}

